Worker Process Microsoft .Net Framework Version

This policy controls what version of the Microsoft .Net Framework is used for hosting managed code in worker processes launched by the System Center Management Service.

This policy only applies to agents and not management servers. Management servers may not have the .Net Framework version setting modified.

The default value if this policy is not specified is to use the Microsoft .Net Framework 2.0 if the agent is running on a Windows 7 or older operating system. If a version of Windows newer than Windows 7 is used the Microsoft .Net Framework 4.0 is the default.


Supported on: At least Windows Server 2003 operating systems or Windows XP Professional

Specify what Microsoft .Net Framework version should be used by worker processes created by the System Center Management Service.

Framework Version:


  1. 2.0
    Registry HiveHKEY_LOCAL_MACHINE
    Registry PathSOFTWARE\Policies\Microsoft\System Center\Health Service
    Value NameRuntime CLR Version
    Value TypeREG_SZ
    Valuev2.0.50727
  2. 4.0
    Registry HiveHKEY_LOCAL_MACHINE
    Registry PathSOFTWARE\Policies\Microsoft\System Center\Health Service
    Value NameRuntime CLR Version
    Value TypeREG_SZ
    Valuev4.0.30319

2.0 = Use the Microsoft .Net Framework 2.0 runtime. This includes versions 3.0 or 3.5 if they are installed on the system.

4.0 = Use the Microsoft .Net Framework 4 runtime.


healthservice.admx